package cl.jtv;

/*
 * ComandoEPR.java
 *
 * Created on 22 de febrero de 2003, 12:34 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoEPR extends Comando {
    
    Metavalor lastValor;
    /** Creates new ComandoEPR */
    public ComandoEPR(Object newArtefacto, Vector2 newVector2,Metavalor oldValor) {
        super(newArtefacto,newVector2);
        this.lastValor = oldValor;
    }

    public void doIt() {
        
        Parametro parametro = (Parametro)artefacto;
        parametro.setValor(lastValor);
    }
    
}
